// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from camera_aravis2_msgs:srv/CalculateWhiteBalance.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "camera_aravis2_msgs/srv/calculate_white_balance.h"


#ifndef CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__STRUCT_H_
#define CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Struct defined in srv/CalculateWhiteBalance in the package camera_aravis2_msgs.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Request
{
  uint8_t structure_needs_at_least_one_member;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Request;

// Struct for a sequence of camera_aravis2_msgs__srv__CalculateWhiteBalance_Request.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Request__Sequence
{
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Request__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'balance_ratios'
#include "diagnostic_msgs/msg/detail/key_value__struct.h"

/// Struct defined in srv/CalculateWhiteBalance in the package camera_aravis2_msgs.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Response
{
  /// flag indicating if successful
  bool is_successful;
  /// balance ratios
  diagnostic_msgs__msg__KeyValue__Sequence balance_ratios;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Response;

// Struct for a sequence of camera_aravis2_msgs__srv__CalculateWhiteBalance_Response.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Response__Sequence
{
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Response__Sequence;

// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Event__request__MAX_SIZE = 1
};
// response
enum
{
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/CalculateWhiteBalance in the package camera_aravis2_msgs.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Event
{
  service_msgs__msg__ServiceEventInfo info;
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Request__Sequence request;
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Response__Sequence response;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Event;

// Struct for a sequence of camera_aravis2_msgs__srv__CalculateWhiteBalance_Event.
typedef struct camera_aravis2_msgs__srv__CalculateWhiteBalance_Event__Sequence
{
  camera_aravis2_msgs__srv__CalculateWhiteBalance_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} camera_aravis2_msgs__srv__CalculateWhiteBalance_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__STRUCT_H_
