// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from camera_aravis2_msgs:srv/CalculateWhiteBalance.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "camera_aravis2_msgs/srv/calculate_white_balance.hpp"


#ifndef CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__TRAITS_HPP_
#define CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "camera_aravis2_msgs/srv/detail/calculate_white_balance__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

namespace camera_aravis2_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const CalculateWhiteBalance_Request & msg,
  std::ostream & out)
{
  (void)msg;
  out << "null";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const CalculateWhiteBalance_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  (void)msg;
  (void)indentation;
  out << "null\n";
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const CalculateWhiteBalance_Request & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace camera_aravis2_msgs

namespace rosidl_generator_traits
{

[[deprecated("use camera_aravis2_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const camera_aravis2_msgs::srv::CalculateWhiteBalance_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  camera_aravis2_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use camera_aravis2_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const camera_aravis2_msgs::srv::CalculateWhiteBalance_Request & msg)
{
  return camera_aravis2_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>()
{
  return "camera_aravis2_msgs::srv::CalculateWhiteBalance_Request";
}

template<>
inline const char * name<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>()
{
  return "camera_aravis2_msgs/srv/CalculateWhiteBalance_Request";
}

template<>
struct has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>
  : std::integral_constant<bool, true> {};

template<>
struct has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>
  : std::integral_constant<bool, true> {};

template<>
struct is_message<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>
  : std::true_type {};

}  // namespace rosidl_generator_traits

// Include directives for member types
// Member 'balance_ratios'
#include "diagnostic_msgs/msg/detail/key_value__traits.hpp"

namespace camera_aravis2_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const CalculateWhiteBalance_Response & msg,
  std::ostream & out)
{
  out << "{";
  // member: is_successful
  {
    out << "is_successful: ";
    rosidl_generator_traits::value_to_yaml(msg.is_successful, out);
    out << ", ";
  }

  // member: balance_ratios
  {
    if (msg.balance_ratios.size() == 0) {
      out << "balance_ratios: []";
    } else {
      out << "balance_ratios: [";
      size_t pending_items = msg.balance_ratios.size();
      for (auto item : msg.balance_ratios) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const CalculateWhiteBalance_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: is_successful
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "is_successful: ";
    rosidl_generator_traits::value_to_yaml(msg.is_successful, out);
    out << "\n";
  }

  // member: balance_ratios
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.balance_ratios.size() == 0) {
      out << "balance_ratios: []\n";
    } else {
      out << "balance_ratios:\n";
      for (auto item : msg.balance_ratios) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const CalculateWhiteBalance_Response & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace camera_aravis2_msgs

namespace rosidl_generator_traits
{

[[deprecated("use camera_aravis2_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const camera_aravis2_msgs::srv::CalculateWhiteBalance_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  camera_aravis2_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use camera_aravis2_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const camera_aravis2_msgs::srv::CalculateWhiteBalance_Response & msg)
{
  return camera_aravis2_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>()
{
  return "camera_aravis2_msgs::srv::CalculateWhiteBalance_Response";
}

template<>
inline const char * name<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>()
{
  return "camera_aravis2_msgs/srv/CalculateWhiteBalance_Response";
}

template<>
struct has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>
  : std::true_type {};

}  // namespace rosidl_generator_traits

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__traits.hpp"

namespace camera_aravis2_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const CalculateWhiteBalance_Event & msg,
  std::ostream & out)
{
  out << "{";
  // member: info
  {
    out << "info: ";
    to_flow_style_yaml(msg.info, out);
    out << ", ";
  }

  // member: request
  {
    if (msg.request.size() == 0) {
      out << "request: []";
    } else {
      out << "request: [";
      size_t pending_items = msg.request.size();
      for (auto item : msg.request) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: response
  {
    if (msg.response.size() == 0) {
      out << "response: []";
    } else {
      out << "response: [";
      size_t pending_items = msg.response.size();
      for (auto item : msg.response) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const CalculateWhiteBalance_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: info
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "info:\n";
    to_block_style_yaml(msg.info, out, indentation + 2);
  }

  // member: request
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.request.size() == 0) {
      out << "request: []\n";
    } else {
      out << "request:\n";
      for (auto item : msg.request) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: response
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.response.size() == 0) {
      out << "response: []\n";
    } else {
      out << "response:\n";
      for (auto item : msg.response) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const CalculateWhiteBalance_Event & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace camera_aravis2_msgs

namespace rosidl_generator_traits
{

[[deprecated("use camera_aravis2_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const camera_aravis2_msgs::srv::CalculateWhiteBalance_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  camera_aravis2_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use camera_aravis2_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const camera_aravis2_msgs::srv::CalculateWhiteBalance_Event & msg)
{
  return camera_aravis2_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<camera_aravis2_msgs::srv::CalculateWhiteBalance_Event>()
{
  return "camera_aravis2_msgs::srv::CalculateWhiteBalance_Event";
}

template<>
inline const char * name<camera_aravis2_msgs::srv::CalculateWhiteBalance_Event>()
{
  return "camera_aravis2_msgs/srv/CalculateWhiteBalance_Event";
}

template<>
struct has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Event>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Event>
  : std::integral_constant<bool, has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>::value && has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>::value && has_bounded_size<service_msgs::msg::ServiceEventInfo>::value> {};

template<>
struct is_message<camera_aravis2_msgs::srv::CalculateWhiteBalance_Event>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace rosidl_generator_traits
{

template<>
inline const char * data_type<camera_aravis2_msgs::srv::CalculateWhiteBalance>()
{
  return "camera_aravis2_msgs::srv::CalculateWhiteBalance";
}

template<>
inline const char * name<camera_aravis2_msgs::srv::CalculateWhiteBalance>()
{
  return "camera_aravis2_msgs/srv/CalculateWhiteBalance";
}

template<>
struct has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance>
  : std::integral_constant<
    bool,
    has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>::value &&
    has_fixed_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>::value
  >
{
};

template<>
struct has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance>
  : std::integral_constant<
    bool,
    has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>::value &&
    has_bounded_size<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>::value
  >
{
};

template<>
struct is_service<camera_aravis2_msgs::srv::CalculateWhiteBalance>
  : std::true_type
{
};

template<>
struct is_service_request<camera_aravis2_msgs::srv::CalculateWhiteBalance_Request>
  : std::true_type
{
};

template<>
struct is_service_response<camera_aravis2_msgs::srv::CalculateWhiteBalance_Response>
  : std::true_type
{
};

}  // namespace rosidl_generator_traits

#endif  // CAMERA_ARAVIS2_MSGS__SRV__DETAIL__CALCULATE_WHITE_BALANCE__TRAITS_HPP_
